Bug 211347 - Overflow scrollers in iframes don't get mouseMovedInContentArea()
Summary: Overflow scrollers in iframes don't get mouseMovedInContentArea()
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: Safari Technology Preview
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-05-02 21:49 PDT by Simon Fraser (smfr)
Modified: 2020-05-08 17:21 PDT (History)
12 users (show)

See Also:


Attachments
Patch (15.38 KB, patch)
2020-05-04 21:14 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (29.70 KB, patch)
2020-05-07 18:24 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (28.94 KB, patch)
2020-05-07 18:26 PDT, Simon Fraser (smfr)
thorton: review+
Details | Formatted Diff | Diff
Patch (21.31 KB, patch)
2020-05-07 21:19 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (21.50 KB, patch)
2020-05-07 22:48 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2020-05-02 21:49:36 PDT
EventHandler::mouseMoved doesn't seem to do the right thing when finding overflow scrollers in iframes, which breaks overlay scrollbar interaction.
Comment 1 Radar WebKit Bug Importer 2020-05-02 21:49:55 PDT
<rdar://problem/62784560>
Comment 2 Simon Fraser (smfr) 2020-05-04 21:14:14 PDT
Created attachment 398469 [details]
Patch
Comment 3 Simon Fraser (smfr) 2020-05-07 18:24:16 PDT
Created attachment 398824 [details]
Patch
Comment 4 Simon Fraser (smfr) 2020-05-07 18:26:15 PDT
Created attachment 398825 [details]
Patch
Comment 5 Simon Fraser (smfr) 2020-05-07 21:19:26 PDT
Created attachment 398832 [details]
Patch
Comment 6 Simon Fraser (smfr) 2020-05-07 22:48:05 PDT
Created attachment 398837 [details]
Patch
Comment 7 EWS 2020-05-08 08:02:28 PDT
Committed r261382: <https://trac.webkit.org/changeset/261382>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 398837 [details].
Comment 8 Simon Fraser (smfr) 2020-05-08 17:21:57 PDT
Added missing tests in https://trac.webkit.org/changeset/261426/webkit